#include QMK_KEYBOARD_H
#define _DEFAULT 0
#define _NAV1 1
#define _TRNS 2
#define _QWER 3
#define _NAV2 4

 
const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
  [_DEFAULT] = LAYOUT_72( /*QWERTY*/
	KC_F1,    KC_F2,   KC_F3,   KC_F4,     KC_F5,   KC_F6,    KC_F7,   KC_F8,   KC_F9,    KC_F10,  KC_MINS,  KC_EQL ,
    KC_GRV,   KC_1,    KC_2,    KC_3,      KC_4,    KC_5,     KC_6,    KC_7,    KC_8,     KC_9,    KC_0,     KC_BSPC ,
    KC_TAB,   KC_Q,    KC_W,    KC_E,      KC_R,    KC_T,     KC_Y,    KC_U,    KC_I,     KC_O,    KC_P,     KC_BSLS ,
    KC_CAPS,  KC_A,    KC_S,    KC_D,      KC_F,    KC_G,     KC_H,    KC_J,    KC_K,     KC_L,    KC_SCLN,  KC_QUOT ,
    KC_LSFT,  KC_Z,    KC_X,    KC_C,      KC_V,    KC_B,     KC_N,    KC_M,    KC_COMM,  KC_DOT,  KC_SLSH,  KC_RSFT ,
    KC_LCTL,  KC_LGUI, KC_LALT, MO(1),     KC_SPC,  KC_SPC,   KC_SPC,  KC_SPC,  MO(1),    KC_LBRC, KC_RBRC,  KC_ENT
  ),

  [_NAV1] = LAYOUT_72(
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_F11,  KC_F12 ,
    KC_ESC ,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, RESET,   KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_UP,   KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_PSCR, KC_SLCK, KC_PAUS, KC_TRNS ,
    KC_TRNS,  KC_LEFT, KC_DOWN, KC_RGHT, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_INS,  KC_HOME, KC_PGUP, KC_TRNS ,
	KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_DEL,  KC_END,  KC_PGDN, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, TO(3),   KC_TRNS, KC_TRNS
  ),
  
  [_TRNS] = LAYOUT_72(
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
	KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS
  ),
  
  [_QWER] = LAYOUT_72( /*COLEMAK*/
	KC_F1,    KC_F2,   KC_F3,   KC_F4,     KC_F5,   KC_F6,    KC_F7,   KC_F8,   KC_F9,    KC_F10,  KC_MINS,  KC_EQL ,
    KC_GRV,   KC_1,    KC_2,    KC_3,      KC_4,    KC_5,     KC_6,    KC_7,    KC_8,     KC_9,    KC_0,     KC_BSPC ,
    KC_TAB,   KC_Q,    KC_W,    KC_F,      KC_P,    KC_G,     KC_J,    KC_L,    KC_U,     KC_Y,    KC_SCLN,  KC_BSLS ,
    KC_CAPS,  KC_A,    KC_R,    KC_S,      KC_T,    KC_D,     KC_H,    KC_N,    KC_E,     KC_I,    KC_O   ,  KC_QUOT ,
    KC_LSFT,  KC_Z,    KC_X,    KC_C,      KC_V,    KC_B,     KC_K,    KC_M,    KC_COMM,  KC_DOT,  KC_SLSH,  KC_RSFT ,
    KC_LCTL,  KC_LGUI, KC_LALT, MO(4),     KC_SPC,  KC_BSPC,  KC_SPC,  KC_SPC,  MO(4),    KC_LBRC, KC_RBRC,  KC_ENT
  ),

  [_NAV2] = LAYOUT_72(
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_F11,  KC_F12 ,
    KC_ESC ,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, RESET,   KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_UP,   KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_PSCR, KC_SLCK, KC_PAUS, KC_TRNS ,
    KC_TRNS,  KC_LEFT, KC_DOWN, KC_RGHT, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_INS,  KC_HOME, KC_PGUP, KC_TRNS ,
	KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_DEL,  KC_END,  KC_PGDN, KC_TRNS ,
    KC_TRNS,  KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, KC_TRNS, TO(0),   KC_TRNS, KC_TRNS
  )
};



const uint16_t PROGMEM fn_actions[] = {

};

const macro_t *action_get_macro(keyrecord_t *record, uint8_t id, uint8_t opt) {
  // MACRODOWN only works in this function
  switch (id) {
  case 0:
    if (record->event.pressed) {
      register_code(KC_RSFT);
    }
    else {
      unregister_code(KC_RSFT);
    }
    break;
  }
  return MACRO_NONE;
};
